#ifndef _CONSTANTS_H_
#define _CONSTANTS_H_

// Limit on number of samples
const int max_sample     = 1500;
// Number of sites for the largest chromosome.
const int max_coord = 3000000;
// Limit on number of sites for all the chromosomes used in calculating chunks of XXT.
// Increase if actual data has more sites.
// To use memory more efficently you can also lower if there are fewer sites.
const int max_coord_total = 6000000;
// Threshold to avoid very small standard deviations
const double sd_threshold     = 1.0e-10;

#endif




