# count the number of total sites
count_total_site = function(covdir, samplefile, chr_begin, chr_end){
	sampleIDs = read.table(samplefile);
	firstID = sampleIDs[1];
	chrSets = chr_begin:chr_end;
	n_sites = numeric(length(chrSets));
	for (i in 1:length(chrSets)){
		chr = chrSets[i];
		filename = paste(covdir, "chr", chr, "/", firstID, sep="");
		con = file(filename);
		open(con, "r");
		line = readLines(con, n=1); # ignore the header
		nLine = 0;
		while(1){
			line = readLines(con, n=1);
			if(length(line)>0){
				nLine = nLine + 1;
			} else {
				break;
			}
		}
		n_sites[i] = nLine;
	}
	return(sum(n_sites));
}